---
title: <feDropShadow>
slug: Web/SVG/Element/feDropShadow
tags:
  - Element
  - Filters
  - Reference
  - SVG
---
<div>{{SVGRef}}</div>

<p>The SVG <strong><code>&lt;feDropShadow&gt;</code></strong> filter primitive creates a drop shadow of the input image. It can only be used inside a {{SVGElement('filter')}} element.</p>

<p class="note">The drop shadow color and opacity can be changed by using the {{SVGAttr('flood-color')}} and {{SVGAttr('flood-opacity')}} presentation attributes.</p>

<div id="Example">
<div class="hidden">
<pre class="brush: css notranslate">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html; highlight[4] notranslate">&lt;svg viewBox="0 0 30 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;filter id="shadow"&gt;
      &lt;feDropShadow dx="0.2" dy="0.4" stdDeviation="0.2"/&gt;
    &lt;/filter&gt;
    &lt;filter id="shadow2"&gt;
      &lt;feDropShadow dx="0" dy="0" stdDeviation="0.5"
          flood-color="cyan"/&gt;
    &lt;/filter&gt;
    &lt;filter id="shadow3"&gt;
      &lt;feDropShadow dx="-0.8" dy="-0.8" stdDeviation="0"
          flood-color="pink" flood-opacity="0.5"/&gt;
    &lt;/filter&gt;
  &lt;/defs&gt;

  &lt;circle cx="5" cy="50%" r="4"
      style="fill:pink; filter:url(#shadow);"/&gt;

  &lt;circle cx="15" cy="50%" r="4"
      style="fill:pink; filter:url(#shadow2);"/&gt;

  &lt;circle cx="25" cy="50%" r="4"
      style="fill:pink; filter:url(#shadow3);"/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Example', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-cx">{{SVGAttr("dx")}}</dt>
 <dd>This attribute defines the x offset of the drop shadow.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Number"><strong>&lt;number&gt;</strong></a>; <em>Default value</em>: <code>2</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("dy")}}</dt>
 <dd>This attribute defines the y offset of the drop shadow.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Number"><strong>&lt;number&gt;</strong></a>; <em>Default value</em>: <code>2</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("stdDeviation")}}</dt>
 <dd>This attribute defines the standard deviation for the blur operation in the drop shadow.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Number"><strong>&lt;number&gt;</strong></a>; <em>Default value</em>: <code>2</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute#Filters_Attributes">Filter primitive attributes</a></dt>
 <dd><small>{{SVGAttr('height')}}, {{SVGAttr('in')}}, {{SVGAttr('result')}}, {{SVGAttr('x')}}, {{SVGAttr('y')}}, {{SVGAttr('width')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Presentation">Presentation Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('flood-color')}}, {{SVGAttr('flood-opacity')}}</small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#feDropShadowElement", "&lt;feDropShadow&gt;")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feDropShadow")}}</p>
